/**
 * @Author Pull
 * @Date 2021-01-30 16:50
 * @project commonIcon
 */
export default class _default {
    /**
     * @description {搜索放大镜Icon}
     * */
    static Search({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName?: string | undefined;
    }): JSX.Element;
    /**
     * @description {弹框返回箭头 左箭头 icon}
     */
    static BackIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {弹框返回箭头 左箭头 icon}
     */
    static BackIcon2({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName: any;
    }): JSX.Element;
    /**
     * @description {右箭头 Icon}
     */
    static RightArrow({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static RightArrowBolder({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {移除已选中项 小叉叉Icon}
     */
    static RemoveItem({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static PlusOutLine({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static PlusCircleOutLine({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {编辑图标}
     */
    static EditIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static EditIcon2({ bodyStyle, title, overlayClass }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClass?: string | undefined;
    }): JSX.Element;
    /**
     * @description {展示更多 下箭头Icon}
     */
    static ShowMoreIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {Male Icon}
     */
    static MaleIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {Femal Icon}
     */
    static FemaleIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {聊天 云朵Icon}
     */
    static ToChatIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static MessageIcon({ title, styleObj, overlayClassName }: {
        title?: string | undefined;
        styleObj?: {} | undefined;
        overlayClassName: any;
    }): JSX.Element;
    /**
     * @description {添加好友 Icon}
     */
    static AddFriendIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 关闭 Icon}
     */
    static CloseIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static MulSelectCloseIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static CloseIconBolder({ bodyStyle, title, overlayClass }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClass: any;
    }): JSX.Element;
    /**
     * @description { 浏览器打开 Icon}
     */
    static OpenInBrowser({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 复制连接 Icon}
     */
    static DuplicateLink({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {loading}
     */
    static CuLoading({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {loading_fail}
     */
    static CuFail({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static DeleteIcon({ bodyStyle, title, overlayClass }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClass: any;
    }): JSX.Element;
    static DisableIcon({ bodyStyle, overlayClass, title }: {
        bodyStyle?: {} | undefined;
        overlayClass: any;
        title?: string | undefined;
    }): JSX.Element;
    static LinkIcon({ bodyStyle, overlayClass, title }: {
        bodyStyle?: {} | undefined;
        overlayClass: any;
        title?: string | undefined;
    }): JSX.Element;
    static HumanIcon({ bodyStyle, overlayClass, title }: {
        bodyStyle?: {} | undefined;
        overlayClass: any;
        title?: string | undefined;
    }): JSX.Element;
    static CameraIcon({ bodyStyle, overlayClass, title }: {
        bodyStyle?: {} | undefined;
        overlayClass: any;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description {refresh}
     */
    static RefreshIcon({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 聊天Icon --- 路由图标 }
     */
    static ChatMsgIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 好友Icon --- 路由图标 }
     */
    static ContractIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 设置Icon --- 路由图标 }
     */
    static MomentIcon({ bodyStyle, overlayClass, title }: {
        bodyStyle?: {} | undefined;
        overlayClass?: string | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description { 设置Icon --- 路由图标 }
     */
    static SettingIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description 群管理员
     */
    static GroupAdmin({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description 群主
     */
    static GroupOwner({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    /**
     * @description 群管理
     */
    static ManageGroup({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static DelIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static VideoStart({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static LoadingChrysanthemum({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static FailFilled({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static CloseCircleIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static MoreAction({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static AttachmentIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static ContactsAdd({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static AtAll({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static PolygonNotice({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static DiamondDoc({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static CircleEyes({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static OutlinePin({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static OutlineMute({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static OutlineClear({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static OutlineExpand({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static OutlineClose({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
    static Duplicat({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): JSX.Element;
}
